Bug 498623 - GUI cannot configure network using 800x600 SVGA display
GUI cannot configure network using 800x600 SVGA display
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-01 10:52 EDT by John Reiser
Modified: 2010-06-28 08:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:18:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2009-05-01 10:52:44 EDT
Description of problem: The graphical dialog box "Ethernet Device" for System > Administration > Network > (select interface) > Edit is taller than 552 pixels, which means that it cannot be used on the Fedora 11 default minimum 800x600 screen.  In particular, the Cancel and OK buttons are not visible, and GNOME Desktop does not allow positioning the window with the title bar off the top of the screen.  Also, the OK button is not the default active control, and even if it were then it loses focus when the user ticks any checkbox.  You must know that the OK button is _two_ controls backwards [Shift+TAB, twice] from the first field ("Nickname").

So, if you do a DVD-only install to a system with an 800x600 SVGA display (or bug #493441 mis-detects your higher-resolution LCD panel), then you must use a text editor to turn on the network.  You must know to change ONBOOT=yes in /etc/sysconfig/networking/devices/ifcfg-eth0.  Anaconda will set ONBOOT=no because the network interface was not used during install.

Version-Release number of selected component (if applicable):
system-config-network-1.5.97-1.fc11.noarch


How reproducible:
always

Steps to Reproduce:
1. set X11 display resolution to 800x600 on GNOME Desktop
2. invoke System > Administration > Network > (select device) > Edit
3.
  
Actual results: Graphical dialog box is not entirely visible, and in particular the Cancel and OK buttons are off the bottom of the screen, and the whole window cannot be positioned to make those buttons visible because GNOME Desktop does not allow the title bar to be above the top of the screen.  Thus it is painful to use the dialog to "Activate device when computer starts", or anything else in that dialog.


Expected results: All graphical dialog boxes must be no taller than 600 - (2 * 24) pixels, so that they fit vertically on Fedora 11 minimum SVGA screen with top and bottom GNOME panels.


Additional info:  Perhaps NetworkManager can work around by "Connect automatically" (right click on network icon in systray, Edit connections, select interface, Edit, Connect automatically) but I could not find it the first time after a default install from DVD only.
Comment 1 Bug Zapper 2009-06-09 10:57:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Harald Hoyer 2009-08-12 06:42:22 EDT
use <ALT>+<mouse drag> to position the window
Comment 3 Bug Zapper 2010-04-27 10:03:09 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 08:18:51 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.